//-*-C++-*- Header file for the main file
//
// Copyright (C) 1997 by John P. Weiss
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Artistic License, included as the file
// "LICENSE" in the source code archive.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
// You should have received a copy of the file "LICENSE", containing
// the License John Weiss originally placed this program under.
//
//
#ifndef _qCd_h_
#define _qCd_h_
#include "AudioPanel.h"
#include "AudioCD.h"
#include "Program.h"
#include "MaintainDB.h"
#include "Config.h"
#include <string.h>


/** This defines the icon pixmap. */
const char* cd_icon_xpm[] = {
"48 48 9 1",
" 	s mask  c none",
".	c #000000000000",
"X	c #F7DEF3CEFFFF",
"o	c #FFFF0000FFFF",
"O	c #FFFF00000000",
"+	c #FFFFFFFF0000",
"@	c #0000FFFF0000",
"#	c #0000FFFFFFFF",
"$	c #00000000FFFF",
"                                                ",
"                                                ",
"                                                ",
"                    ........                    ",
"                ....XXXXXXXX....                ",
"              ..XXXXXXXXXXXXXXXX..              ",
"             .XXXXXXXXXXXXXXXXXXXX.             ",
"           ..XXXXXXXXXXXXXXXXXXXXXo..           ",
"          .XXXXXXXXXXXXXXXXXXXXXXoOO+.          ",
"         .XXXXXXXXXXXXXXXXXXXXXXXoO+++.         ",
"        .XXXXXXXXXXXXXXXXXXXXXXXoOO++@#.        ",
"       .XXXXXXXXXXXXXXXXXXXXXXXoOO++@##$.       ",
"       .XXXXXXXXXXXXXXXXXXXXXXXoO++@##$$.       ",
"      .XXXXXXXXXXXXXXXXXXXXXXXoO++@#$$$XX.      ",
"     .XXXXXXXXXXXXXXXXXXXXXXXXoO+@#$$XXXXX.     ",
"     .XXXXXXXXXXXXXXXXXXXXXXXoO+@#$$XXXXXX.     ",
"    .XXXXXXXXXXXXXXXXXXXXXXXoO+@#$$XXXXXXXX.    ",
"    .XXXXXXXXXXXXXXXXXXXXXXXo+@$$XXXXXXXXXX.    ",
"    .XXXXXXXXXXXXXXXXX....XoO@$$XXXXXXXXXXX.    ",
"   .XXXXXXXXXXXXXXXX..    ..@$$XXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXXX.    .   .$XXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXXX. .    . .XXXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXX.    ..    .XXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXX.   .  . . .XXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXX. . .  .   .XXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXX.    ..    .XXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXXX. .    . .XXXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXXX$.   .    .XXXXXXXXXXXXXXX.   ",
"   .XXXXXXXXXXXXX$$@..    ..XXXXXXXXXXXXXXXX.   ",
"    .XXXXXXXXXXX$$@OoX....XXXXXXXXXXXXXXXXX.    ",
"    .XXXXXXXXXX$$@+oXXXXXXXXXXXXXXXXXXXXXXX.    ",
"    .XXXXXXXX$$#@+OoXXXXXXXXXXXXXXXXXXXXXXX.    ",
"     .XXXXXX$$#@+OoXXXXXXXXXXXXXXXXXXXXXXX.     ",
"     .XXXXX$$#@+OoXXXXXXXXXXXXXXXXXXXXXXXX.     ",
"      .XX$$$#@++OoXXXXXXXXXXXXXXXXXXXXXXX.      ",
"       .$$##@++OoXXXXXXXXXXXXXXXXXXXXXXX.       ",
"       .$##@++OOoXXXXXXXXXXXXXXXXXXXXXXX.       ",
"        .#@++OOoXXXXXXXXXXXXXXXXXXXXXXX.        ",
"         .+++OoXXXXXXXXXXXXXXXXXXXXXXX.         ",
"          .+OOoXXXXXXXXXXXXXXXXXXXXXX.          ",
"           ..oXXXXXXXXXXXXXXXXXXXXX..           ",
"             .XXXXXXXXXXXXXXXXXXXX.             ",
"              ..XXXXXXXXXXXXXXXX..              ",
"                ....XXXXXXXX....                ",
"                    ........                    ",
"                                                ",
"                                                ",
"                                                "};


#endif // _qCd_h_
/////////////////////////////////
//
// End
// 
